Get NFT Transfers By Token ID
Query Template
Filtering Options
Parameter | Type | Description |
|---|---|---|
where | object | Object to filter results by specified conditions. |
limit | integer | Maximum number of results to return. |
offset | integer | Starting position for the results. |
order_by | object | Object specifying sort order. You can sort by multiple fields. |
Query Fields
Parameter | Type | Description |
|---|---|---|
transaction_version | integer | Transaction version |
type | string | Event type |
transaction_timestamp | string | Transaction timestamp |
token_standard | string | Token standard |
token_data_id | string | Token data ID |
token_amount | integer | Token quantity |
to_address | string | Receiver address |
from_address | string | Sender address |
event_index | integer | Event index |
event_account_address | string | Event account address |
entry_function_id_str | string | Entry function ID |
before_value | string | Previous value |
is_fungible_v2 | boolean | Whether Fungible V2 |
property_version_v1 | integer | Attribute version V1 |
after_value | string | New value |
current_token_data | object | Current token data |
collection_id | string | Collection ID |
decimals | integer | Decimal places |
description | string | Description |
is_deleted_v2 | boolean | Whether deleted |
largest_property_version_v1 | integer | Largest attribute version V1 |
last_transaction_version | integer | Last transaction version |
token_name | string | Token name |
token_uri | string | Token URI |
token_properties | object | Token attributes |
supply | integer | Supply |
maximum | integer | Maximum supply |
last_transaction_timestamp | string | Last transaction timestamp |
Example
Request Example
query MyQuery {
token_activities_v2(
limit: 5
offset: 0
order_by: {transaction_version: desc, event_index: desc}
where: {
token_data_id: {
_eq: "0x9a47523002a8940afaae60cb01d13ccea0408b17e958ebf1940a9f687785d6da"
}
}
) {
transaction_version
type
transaction_timestamp
token_standard
token_data_id
token_amount
to_address
from_address
event_index
event_account_address
entry_function_id_str
before_value
is_fungible_v2
property_version_v1
after_value
current_token_data {
collection_id
decimals
description
is_deleted_v2
is_fungible_v2
largest_property_version_v1
last_transaction_version
token_data_id
token_name
token_standard
token_uri
token_properties
supply
maximum
last_transaction_timestamp
}
}
}
Response Example
{
"data": {
"token_activities_v2": [
{
"transaction_version": 1019994299,
"type": "0x3::token::DepositEvent",
"transaction_timestamp": "2024-07-08T09:48:22.938911",
"token_standard": "v1",
"token_data_id": "0x9a47523002a8940afaae60cb01d13ccea0408b17e958ebf1940a9f687785d6da",
"token_amount": 1,
"to_address": "0x67dbec453adfb79e0a7585bde660ed696f611e9f621850bef926a6609d0701db",
"from_address": null,
"event_index": 368,
"event_account_address": "0x67dbec453adfb79e0a7585bde660ed696f611e9f621850bef926a6609d0701db",
"entry_function_id_str": "0xde220d873e4f5eab5859f368b86fca00fa6fd395279cf54a7d7a5020cb527391::safari::end_adventure_bulk",
"before_value": null,
"is_fungible_v2": null,
"property_version_v1": 0,
"after_value": null,
"current_token_data": {
"collection_id": "0x7ac8cecb76edbbd5da40d719bbb9795fc5744e4098ee0ce1be4bb86c90f42301",
"decimals": 0,
"description": "",
"is_deleted_v2": null,
"is_fungible_v2": null,
"largest_property_version_v1": 0,
"last_transaction_version": 12593221,
"token_data_id": "0x9a47523002a8940afaae60cb01d13ccea0408b17e958ebf1940a9f687785d6da",
"token_name": "AptosMonkeys #14",
"token_standard": "v1",
"token_uri": "ipfs://bafybeihnochxvsv6h43qvg4snenpeasoml66nwxhuiadfzkefix7vbetyq/14.json",
"token_properties": {},
"supply": 1,
"maximum": 1,
"last_transaction_timestamp": "2022-10-25T18:00:03.448912"
}
},
{
"transaction_version": 1019994299,
"type": "0x3::token::WithdrawEvent",
"transaction_timestamp": "2024-07-08T09:48:22.938911",
"token_standard": "v1",
"token_data_id": "0x9a47523002a8940afaae60cb01d13ccea0408b17e958ebf1940a9f687785d6da",
"token_amount": 1,
"to_address": null,
"from_address": "0x7b3326b15944d40740f1a7543e880e9bef1c1553510a9b7021e7933f1019c841",
"event_index": 367,
"event_account_address": "0x7b3326b15944d40740f1a7543e880e9bef1c1553510a9b7021e7933f1019c841",
"entry_function_id_str": "0xde220d873e4f5eab5859f368b86fca00fa6fd395279cf54a7d7a5020cb527391::safari::end_adventure_bulk",
"before_value": null,
"is_fungible_v2": null,
"property_version_v1": 0,
"after_value": null,
"current_token_data": {
"collection_id": "0x7ac8cecb76edbbd5da40d719bbb9795fc5744e4098ee0ce1be4bb86c90f42301",
"decimals": 0,
"description": "",
"is_deleted_v2": null,
"is_fungible_v2": null,
"largest_property_version_v1": 0,
"last_transaction_version": 12593221,
"token_data_id": "0x9a47523002a8940afaae60cb01d13ccea0408b17e958ebf1940a9f687785d6da",
"token_name": "AptosMonkeys #14",
"token_standard": "v1",
"token_uri": "ipfs://bafybeihnochxvsv6h43qvg4snenpeasoml66nwxhuiadfzkefix7vbetyq/14.json",
"token_properties": {},
"supply": 1,
"maximum": 1,
"last_transaction_timestamp": "2022-10-25T18:00:03.448912"
}
},
{
"transaction_version": 57288960,
"type": "0x3::token::WithdrawEvent",
"transaction_timestamp": "2022-12-25T22:55:44.532453",
"token_standard": "v1",
"token_data_id": "0x9a47523002a8940afaae60cb01d13ccea0408b17e958ebf1940a9f687785d6da",
"token_amount": 1,
"to_address": null,
"from_address": "0x67dbec453adfb79e0a7585bde660ed696f611e9f621850bef926a6609d0701db",
"event_index": 0,
"event_account_address": "0x67dbec453adfb79e0a7585bde660ed696f611e9f621850bef926a6609d0701db",
"entry_function_id_str": "0xde220d873e4f5eab5859f368b86fca00fa6fd395279cf54a7d7a5020cb527391::safari::start_adventure",
"before_value": null,
"is_fungible_v2": null,
"property_version_v1": 0,
"after_value": null,
"current_token_data": {
"collection_id": "0x7ac8cecb76edbbd5da40d719bbb9795fc5744e4098ee0ce1be4bb86c90f42301",
"decimals": 0,
"description": "",
"is_deleted_v2": null,
"is_fungible_v2": null,
"largest_property_version_v1": 0,
"last_transaction_version": 12593221,
"token_data_id": "0x9a47523002a8940afaae60cb01d13ccea0408b17e958ebf1940a9f687785d6da",
"token_name": "AptosMonkeys #14",
"token_standard": "v1",
"token_uri": "ipfs://bafybeihnochxvsv6h43qvg4snenpeasoml66nwxhuiadfzkefix7vbetyq/14.json",
"token_properties": {},
"supply": 1,
"maximum": 1,
"last_transaction_timestamp": "2022-10-25T18:00:03.448912"
}
},
{
"transaction_version": 57288960,
"type": "0x3::token::DepositEvent",
"transaction_timestamp": "2022-12-25T22:55:44.532453",
"token_standard": "v1",
"token_data_id": "0x9a47523002a8940afaae60cb01d13ccea0408b17e958ebf1940a9f687785d6da",
"token_amount": 1,
"to_address": "0x7b3326b15944d40740f1a7543e880e9bef1c1553510a9b7021e7933f1019c841",
"from_address": null,
"event_index": 1,
"event_account_address": "0x7b3326b15944d40740f1a7543e880e9bef1c1553510a9b7021e7933f1019c841",
"entry_function_id_str": "0xde220d873e4f5eab5859f368b86fca00fa6fd395279cf54a7d7a5020cb527391::safari::start_adventure",
"before_value": null,
"is_fungible_v2": null,
"property_version_v1": 0,
"after_value": null,
"current_token_data": {
"collection_id": "0x7ac8cecb76edbbd5da40d719bbb9795fc5744e4098ee0ce1be4bb86c90f42301",
"decimals": 0,
"description": "",
"is_deleted_v2": null,
"is_fungible_v2": null,
"largest_property_version_v1": 0,
"last_transaction_version": 12593221,
"token_data_id": "0x9a47523002a8940afaae60cb01d13ccea0408b17e958ebf1940a9f687785d6da",
"token_name": "AptosMonkeys #14",
"token_standard": "v1",
"token_uri": "ipfs://bafybeihnochxvsv6h43qvg4snenpeasoml66nwxhuiadfzkefix7vbetyq/14.json",
"token_properties": {},
"supply": 1,
"maximum": 1,
"last_transaction_timestamp": "2022-10-25T18:00:03.448912"
}
},
{
"transaction_version": 27069240,
"type": "0x3::token::DepositEvent",
"transaction_timestamp": "2022-11-08T15:12:32.42139",
"token_standard": "v1",
"token_data_id": "0x9a47523002a8940afaae60cb01d13ccea0408b17e958ebf1940a9f687785d6da",
"token_amount": 1,
"to_address": "0x67dbec453adfb79e0a7585bde660ed696f611e9f621850bef926a6609d0701db",
"from_address": null,
"event_index": 6,
"event_account_address": "0x67dbec453adfb79e0a7585bde660ed696f611e9f621850bef926a6609d0701db",
"entry_function_id_str": "0x2c7bccf7b31baf770fdbcc768d9e9cb3d87805e255355df5db32ac9a669010a2::inbox::claim_many",
"before_value": null,
"is_fungible_v2": null,
"property_version_v1": 0,
"after_value": null,
"current_token_data": {
"collection_id": "0x7ac8cecb76edbbd5da40d719bbb9795fc5744e4098ee0ce1be4bb86c90f42301",
"decimals": 0,
"description": "",
"is_deleted_v2": null,
"is_fungible_v2": null,
"largest_property_version_v1": 0,
"last_transaction_version": 12593221,
"token_data_id": "0x9a47523002a8940afaae60cb01d13ccea0408b17e958ebf1940a9f687785d6da",
"token_name": "AptosMonkeys #14",
"token_standard": "v1",
"token_uri": "ipfs://bafybeihnochxvsv6h43qvg4snenpeasoml66nwxhuiadfzkefix7vbetyq/14.json",
"token_properties": {},
"supply": 1,
"maximum": 1,
"last_transaction_timestamp": "2022-10-25T18:00:03.448912"
}
}
]
}
}